set CMSDK_UART0_BASE          0x40004000
set CMSDK_UART0_DATA [expr $CMSDK_UART0_BASE + 0x0]
set CMSDK_UART0_STATE [expr $CMSDK_UART0_BASE + 0x4]
set CMSDK_UART0_CTRL [expr $CMSDK_UART0_BASE + 0x8]
set CMSDK_UART0_INTSTATUS_CLEAR [expr $CMSDK_UART0_BASE + 0xc]
set CMSDK_UART0_BAUDDIV [expr $CMSDK_UART0_BASE + 0x10]
set CMSDK_UART0_RX_LWM [expr $CMSDK_UART0_BASE + 0x14]
set CMSDK_UART0_TX_LWM [expr $CMSDK_UART0_BASE + 0x18]
set CMSDK_UART0_RX_FIFO_SPACES [expr $CMSDK_UART0_BASE + 0x1c]
set CMSDK_UART0_TX_FIFO_SPACES [expr $CMSDK_UART0_BASE + 0x20]
set CMSDK_UART0_HW_FLOW_OVRD [expr $CMSDK_UART0_BASE + 0x24]
set CMSDK_UART0_PID4 [expr $CMSDK_UART0_BASE + 0xfd0]
set CMSDK_UART0_PID5 [expr $CMSDK_UART0_BASE + 0xfd4]
set CMSDK_UART0_PID6 [expr $CMSDK_UART0_BASE + 0xfd8]
set CMSDK_UART0_PID7 [expr $CMSDK_UART0_BASE + 0xfdc]
set CMSDK_UART0_PID0 [expr $CMSDK_UART0_BASE + 0xfe0]
set CMSDK_UART0_PID1 [expr $CMSDK_UART0_BASE + 0xfe4]
set CMSDK_UART0_PID2 [expr $CMSDK_UART0_BASE + 0xfe8]
set CMSDK_UART0_PID3 [expr $CMSDK_UART0_BASE + 0xfec]
set CMSDK_UART0_CID0 [expr $CMSDK_UART0_BASE + 0xff0]
set CMSDK_UART0_CID1 [expr $CMSDK_UART0_BASE + 0xff4]
set CMSDK_UART0_CID2 [expr $CMSDK_UART0_BASE + 0xff8]
set CMSDK_UART0_CID3 [expr $CMSDK_UART0_BASE + 0xffc]
